#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n, a, b;
    cin>>n;
    for(int t=0; t<n; t++){
        cin>>a>>b;
        if(a!=b){
            cout<<-1<<endl;
            continue;
        }
        for(int i=1; i<=a; i++){
            for(int j=1; j<=a-i; j++){
                cout<<0<<" ";
            }
            for(int j=1; j<=i; j++){
                cout<<1<<" ";
            }
            cout<<endl;
        }


    }




}